System Requirements

 

In this topic

StarShip Server Minimum System Requirements

StarShip Client Minimum System Requirements

Dashboard Requirements

eNotify Viewer Requirements

Rate Quote Standalone Web Interface Requirements

Dynamics GP Web Services Requirements

Notes

StarShip Server

Prerequisite Software

StarShip Client

Prerequisite Software

Known Issues

.NET Framework 3.5 Notes

 

The following sections outline system requirements for the current version of the StarShip Server, Client, and Dashboard modules.

 

StarShip Server Minimum System Requirements

 

StarShip Client Minimum System Requirements

 

Dashboard Requirements

eNotify Viewer Requirements

Rate Quote Standalone Web Interface Requirements

Dynamics GP Web Services Requirements

It is recommended that you install Web Services for Microsoft Dynamics GP on a server that is running the one of the following operating systems :

For more information, see Updating the Fulfilled Quantity in the Dynamics GP Help.

 



Notes

* StarShip supports both 32-bit and 64-bit operating systems.

1 : If you install an instance of SQL Express on Small Business Server 2011, an error will occur when running the Surface Area Configuration for Features (required by the StarShip Server Manager). See these instructions for ways to enable it on Small Business Server 2011.

2 : Windows10 includes a new default browser, called Microsoft Edge. Silverlight is not available in the Microsoft Edge browser, but is supported in Internet Explorer. Internet Explorer 11 is included with Windows 10, however it is not set as the default browser. The Dashboard, Rate Quote, and eNotify use Silverlight, so you must set Internet Explorer as your default browser. You can do this by right-clicking on the Dashboard, Rate Quote, or eNotify program icon and selecting Open with > Choose default program. Select Internet Explorer and click OK.

You can also set Program Defaults in Internet Explorer > Tools > Internet Options > Programs and click Set Programs.

 

 

V-Technologies does not recommend or support installations of StarShip, or any of its prerequisite components, on a Windows Domain Controller. V-Technologies reserves the right to deny support for issues related to a StarShip implementation on a domain controller.

For security reasons, Microsoft also recommends against installing SQL Server Express on a domain controller. See section 3.10 "Installing SQL Server Express on a Windows Domain Controller" of the SQL Express readme file.

The StarShip Server conflicts with UPS WorldShip 13.0 or earlier if loaded on the same machine. Do not install the StarShip Server on a machine that hosts UPS WorldShip 13.0 (or earlier) or its residual files.

V-Technologies does not support the installation of StarShip Server on a Terminal Server, Citrix Presentation Server, or in a Citrix load balanced environment.

 

 

StarShip Server

 

Prerequisite Software

StarShip will install the following prerequisite software (if not already installed). The StarShip Server Application has the following prerequisites and the installer checks for their availability on the server:

* Included on the StarShip Installation CD

** Note : A download link is provided during installation. Windows 8 and Windows Server 2012 require SQL 2008 R2 SP1 Express or later, or an existing SQL installation.

 

 

StarShip Client

 

Prerequisite Software

The StarShip Client Application has the following prerequisites and the installer checks for their availability on the client computer:

 

 

Known Issues

 

.NET Framework 3.5 Notes

You must use the Role Management Tool to install or configure Microsoft .NET Framework 3.5.

Problem

When trying to deploy a .NET app on a Windows Server 2008 R2 server, you receive the following  error message during the setup prompts: "You must use the Role Management Tool to install or configure Microsoft .NET Framework 3.5."

Solution

Windows 2008 R2 already ships with the .NET 3.5.1 framework, so this feature must only be enabled from Windows Server Manager.

This can be done by in Windows Server Manager by selecting :

Administrative tools > Server Manager > Features > Add features > .NET 3.5 Framework Features